JSBSIM(1)

NAME
JSBSim - standalone version of the JSBSim open source flight dynamics model

SYNOPSIS
JSBSim <script filename> <output filenames> <options>

DESCRIPTION
JSBSim is a standalone version of the JSBSim open source flight dynamics model library that, given a script file, runs the simulation and outputs the results to one or more files.

OPTIONS

--help
    Display usage information and exit.

--version
    Display the JSBSim version number and exit.

--outputlogfile=filename
    Output the processed data to filename.

--logdirectivefile=filename
    Use the data logging directives specified in filename. This option may be specified multiple times.

--root=path
    Use path as the JSBSim root directory (the directory where the aircraft model resides, containing the aircraft, engine... subdirectories).

--aircraft=filename
    Use the aircraft model specified in filename.

--script=filename
    Run the simulation script specified in filename. This option is incompatible with --catalog.

--realtime
    Run the simulation in actual real world time.

--nice[=sleep period]
    Reduce CPU usage by pausing the simulation between frames for sleep period nanoseconds. If sleep period is not given, it is set to 0.01 nanoseconds.

--nohighlight
    Do not colorize the output.

--suspend
    Suspend the simulation after initializing it.

--initfile=filename
    Use the initialization file filename.

--catalog[=aircraft]
    Print all properties for the aircraft model (aircraft, if the model name is passed as an argument, or for the model loaded via the initialization file). This option is incompatible with --script.

--property=name=value
    Set the property named name to value.

--simulation-rate=rate
    Set the simulation rate (dT) to rate. If rate is less than 1, it is interpreted as a time step size in seconds; otherwise, it is interpreted as a rate in Hertz.

--end=time
    Set the simulation end time to time.

EXIT STATUS
JSBSim exits with 0 on success, with 1 if the syntax of the command-line arguments is wrong or an error occurs.

SEE ALSO
fgfs(1), the JSBSim Web site (http://jsbsim.sourceforge.net/)